import { http } from '@/http/http'
enum Api {
  base = '/scheduleTasks/tasks',
  executorApi = '/system/user/stationList',
  // queryrgasstation = '/system/user/stationList',
  queryrtodoaskslist = '/scheduleTasks/tasks/allList',
  postList = '/system/post/list',
  querybaseApi = '/taskTemplate/template/list',
  menuList = '/system/user/list',
  selectAllSysStation = '/sysStation/station/selectAllSysStationList',
}
// 查询加油站列表
export function queryGasStationList(params: any) {
  return http.get(Api.executorApi, params)
}
// 查询待办任务列表
export function querytodoaskslist(params: any) {
  return http.get(Api.queryrtodoaskslist, params)
}
// 岗位列表接口
export function getPostList(params?: any) {
  return http.get(Api.postList, params)
}
// 查询执行人列表
export function queryExecutorList(params: any) {
  return http.get(Api.executorApi, params)
}
// 新增油站
export function addtodoaskslist(data: any) {
  return http.post(Api.base, data)
}

// 查询任务模板列表
export function querybaseApilist(params?: any) {
  return http.get(Api.querybaseApi, params)
}
//抄送人列表
export function queryrCCList() {
  return http.get(Api.menuList)
}
//查询所有油站
export function selectAllSysStation() {
  return http.get(Api.selectAllSysStation, { isAll: true })
}
